#include <string.h>
//-----------------------------------------------
// Convert 8-bit value to hex
//-----------------------------------------------
char * Hex(unsigned char val, char*str)
{
*(str+0) = ((val >> 4) < 10 )?(val >> 4)+'0':(val >> 4)+'7';
*(str+1) = ((val & 0xF) < 10 )?(val & 0xF)+'0':(val & 0xF)+'7';
*(str+2) = 0;
return str;
}
//-----------------------------------------------
//
//-----------------------------------------------
void reverse(char s[])
{
    int c, i, j;

    for (i = 0, j = strlen(s)-1; i<j; i++, j--) {
        c = s[i];
        s[i] = s[j];
        s[j] = c;
    }
}
//-----------------------------------------------
//
//-----------------------------------------------
void itoa(int n, char s[])
{
    int i, sign;

    if ((sign = n) < 0)  /* record sign */
        n = -n;          /* make n positive */
    i = 0;
    do {       /* generate digits in reverse order */
        s[i++] = n % 10 + '0';   /* get next digit */
    } while ((n /= 10) > 0);     /* delete it */
    if (sign < 0)
        s[i++] = '-';
    s[i] = '\0';
    reverse(s);
} 
//-----------------------------------------------
//
//-----------------------------------------------